puppetclass_parameters update method uses PUT incorrectly

12/13/2012 03:07 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It seems that the request was supposed to be a PUT, but ends up as a GET.

further more, it exposes info the logs which normally should be filtered (e.g. passwords, parameters values etc).

see

Started GET "/hosts/puppetclass_parameters?utf8=%E2%9C%93&_method*=put*&authenticity_token=MhDlEVJ

AF0lXKzPDbi5dke53mOaHBtNvl%2F4GB%2B3fpSY%3D&host%5Bname%5D=pm01&host%5Borganization_id%5D=1&host%5

Blocation_id%5D=3&host%5Bhostgroup_id%5D=1&host%5Benvironment_id%5D=1&host%5Bpuppet_proxy_id%5D=7&

host%5Bpuppetclass_ids%5D%5B%5D=&host%5Bmanaged%5D=1&host%5Bprogress_report_id%5D=[FILTERED]&host%

5Bcompute_attributes%5D%5Bnics_attributes%5D%5Bnew_nics%5D%5Bbridge%5D=br180&host%5Bcompute_attrib

utes%5D%5Bnics_attributes%5D%5Bnew_nics%5D%5B_delete%5D=&host%5Bcompute_attributes%5D%5Bnics_attri

butes%5D%5B0%5D%5Bbridge%5D=br180&host%5Bcompute_attributes%5D%5Bnics_attributes%5D%5B0%5D%5B_dele

te%5D=&host%5Bcompute_attributes%5D%5Bnics_attributes%5D%5B0%5D%5Bid%5D=69952990284500&host%5Bcomp

ute_attributes%5D%5Bvolumes_attributes%5D%5Bnew_volumes%5D%5Bpool_name%5D=default&host%5Bcompute_a

ttributes%5D%5Bvolumes_attributes%5D%5Bnew_volumes%5D%5Bcapacity%5D=10G&host%5Bcompute_attributes%

5D%5Bvolumes_attributes%5D%5Bnew_volumes%5D%5Bformat_type%5D=raw&host%5Bcompute_attributes%5D%5Bvo

lumes_attributes%5D%5Bnew_volumes%5D%5B_delete%5D=&host%5Bcompute_attributes%5D%5Bvolumes_attribut

es%5D%5B0%5D%5Bpool_name%5D=tmp-storage&host%5Bcompute_attributes%5D%5Bvolumes_attributes%5D%5B0%5

D%5Bcapacity%5D=10&host%5Bcompute_attributes%5D%5Bvolumes_attributes%5D%5B0%5D%5Bformat_type%5D=ra

w&host%5Bcompute_attributes%5D%5Bvolumes_attributes%5D%5B0%5D%5B_delete%5D=&host%5Bcompute_attribu

tes%5D%5Bvolumes_attributes%5D%5B0%5D%5Bid%5D=%2Ftmp%2Fpm01.sat.lab.tlv.redhat.com-disk1&capabilit

ies=build&host%5Bmac%5D=52%3A54%3A00%3Ab3%3Ab0%3Afe&host%5Bdomain_id%5D=6&host%5Bsubnet_id%5D=1&ho

st%5Bip%5D=10.35.27.45&host%5Bsp_name%5D=&host%5Bsp_ip%5D=&host%5Bsp_mac%5D=&host%5Bsp_subnet_id%5

D=&host%5Barchitecture_id%5D=1&host%5Boperatingsystem_id%5D=24&host%5Bprovision_method%5D=build&ho

st%5Bmedium_id%5D=1&host%5Bptable_id%5D=&host%5Bdisk%5D=&host%5Broot_pass%5D=&host%5Bis_owned_by%5

D=15-Users&host%5Benabled%5D=0&host%5Benabled%5D=1&host%5Bcomment%5D=&host%5Boverwrite%5D=false" f

or 10.35.4.152 at Thu Dec 13 07:59:39 +0000 2012

Associated revisions

Revision 5237d122 - 01/14/2013 07:07 AM - Amos Benari

fixes #2041 puppetclass_parameters update method uses PUT incorrectly

Revision a25add15 - 01/21/2013 02:20 PM - Amos Benari

refs #2041 - changed puppetclass/:id/parameters from put to post.

History

#1 - 01/14/2013 07:33 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 5237d122eb1bc442dca62d2afa80a3e45c026838.
